<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="MultiSelectWebCombo._Default" %>

<%@ Register Assembly="Infragistics2.WebUI.WebCombo.v8.1, Version=8.1.20081.1000, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.WebCombo" TagPrefix="igcmbo" %>
<%@ Register Assembly="Infragistics2.WebUI.UltraWebGrid.v8.1, Version=8.1.20081.1000, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebGrid" TagPrefix="igtbl" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <script type="text/javascript">
    var cancelClose=false;
function WebCombo1_BeforeSelectChange(webComboId){
	return true;
}
function WebCombo1_BeforeCloseUp(webComboId){
	//Add code to handle your event here.
	if(cancelClose)
	{
		cancelClose=false;	
		return true;
	}
}
function WebCombo1_AfterCloseUp(webComboId){
	//Add code to handle your event here.
	var combo=igcmbo_getComboById(webComboId);
	var grid=combo.getGrid();
	var rowCount=grid.Rows.length;
	var displayText='';
	for(i=0;i<rowCount;i++)
	{
		var row=grid.Rows.getRow(i);
		var checked=row.getCell(1).getValue();
		if(checked)
		{
		    displayText+=row.getCell(2).getValue() + ',';
		}
	}
	combo.setDisplayValue(displayText);
}
function GridCellClickHandler(gridName, cellId, button){
	//Add code to handle your event here.
	var cell=igtbl_getCellById(cellId);
	var boolCell=cell.Row.getCell(1);
	boolCell.setValue(!boolCell.getValue());
	cancelClose=true;
}

function GridAfterCellUpdateHandler(gridName, cellId, button){
	
	
	cancelClose=true;
}



function getSelectedValues(webComboId)
{
	var combo=igcmbo_getComboById(webComboId);
	var grid=combo.getGrid();
	var rowCount=grid.Rows.length;
	var displayText='';
	var selectedValues=new Array();
	var selectedText=new Array();
	var aCnt=0;
	for(i=0;i<rowCount;i++)
	{
		var row=grid.Rows.getRow(i);
		var checked=row.getCell(1).getValue();
		if(checked)
		{
		    selectedValues[aCnt]=row.getCell(0).getValue();
		    selectedText[aCnt]=row.getCell(2).getValue();
		    aCnt++;
		}
	}
	alert("Selected Values: " + selectedValues.toString());
	alert("Selected Text: " + selectedText.toString());
}
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <igcmbo:WebCombo ID="WebCombo1" runat="server" BackColor="White" BorderColor="Silver"
            BorderStyle="Solid" BorderWidth="1px" ForeColor="Black" SelBackColor="DarkBlue"
            SelForeColor="White" Version="4.00">
            <Columns>
                <igtbl:ultragridcolumn>
<Header Caption="Column0"></Header>
</igtbl:ultragridcolumn>
            </Columns>
            <ExpandEffects ShadowColor="LightGray" />
            <DropDownLayout BorderCollapse="Separate" RowHeightDefault="20px" Version="4.00">
                <FrameStyle BackColor="Silver" BorderStyle="Ridge" BorderWidth="2px" Cursor="Default"
                    Font-Names="Verdana" Font-Size="10pt" Height="130px" Width="325px">
                </FrameStyle>
                <HeaderStyle BackColor="LightGray" BorderStyle="Solid">
                    <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" WidthTop="1px" />
                </HeaderStyle>
                <RowStyle BackColor="White" BorderColor="Gray" BorderStyle="Solid" BorderWidth="1px">
                    <BorderDetails WidthLeft="0px" WidthTop="0px" />
                </RowStyle>
                <SelectedRowStyle BackColor="DarkBlue" ForeColor="White" />
            </DropDownLayout>
        </igcmbo:WebCombo>
   <input type="button" onclick="getSelectedValues('WebCombo1');" value="Show Client Values">
			<br />
			<asp:Button id="btnShowServerValues" runat="server" Text="Show Server Values" OnClick="btnShowServerValues_Click"></asp:Button>
			<br />
			Selected Server Values<br />
			<asp:ListBox id="lst" runat="server" Width="200px"></asp:ListBox>
    </form>
</body>
</html>
